<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" type="text/css" th:href="@{/css/main.css(v=1)}">
</head>
<body>

<section class="p-8">
    <dialog class="border rounded border-amber-950">
        <p>This is a dialog</p>
        <button class="border rounded border-red-600" type="button" onclick="this.parentNode.close()">Close</button>
    </dialog>

    <div>
        <button class="border rounded border-red-600 bg-gray-400" type="button"
                onclick="document.querySelector('dialog').show();">Open dialog
        </button>
        <button class="border rounded border-red-600 bg-gray-400" type="button"
                onclick="document.querySelector('dialog').showModal();">Open modal dialog
        </button>
    </div>
</section>
<hr/>

<section class="max-w-md m-8">
    <style>
        .tableFixHead {
            overflow-y: auto; /* make the table scrollable if height is more than 200 px  */
            height: 200px; /* gives an initial height of 200px to the table */
            scrollbar-width: thin;
        }

        .tableFixHead thead th {
            position: sticky; /* make the table heads sticky */
            top: 0; /* table head will be placed from the top of the table and sticks to it */
        }

        .tableFixHead table {
            border-collapse: collapse; /* make the table borders collapse to each other */
            width: 100%;
        }

        .tableFixHead th,
        .tableFixHead td {
            padding: 8px 16px;
            border: 1px solid #ccc;
        }

        .tableFixHead th {
            background: #eee;
        }

        @media screen and (max-width: 600px) {
            table, thead, tbody, th, td, tr {
                display: block;
            }

            .tableFixHead thead tr {
                display: none;
            }

            .tableFixHead tr { margin-bottom: 15px; }

            .tableFixHead td {
                text-align: left;
                /*padding-left: 50%;*/
            }

            .tableFixHead td:before {
                content: attr(data-label);
                /*position: relative;*/
                /*left: 0;*/
                float: left;
                width: 50%;
                /*padding-left: 15px;*/
                /*padding-right: 50%;*/
                /*width:100px;*/
                font-weight: bold;
            }
        }
    </style>
    <div class="tableFixHead">
        <table>
            <thead>
            <tr>
                <th>Col 1 ist eine ganz lange</th>
                <th>Col 2</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td data-label="Objektname">UEJ9I</td>
                <td data-label="Objektart">EAR</td>
            </tr>
            <tr>
                <td data-label="col1">1.2</td>
                <td data-label="col2">2.2</td>
            </tr>
            <tr>
                <td data-label="col1">1.3</td>
                <td data-label="col2">2.3</td>
            </tr>
            <tr>
                <td data-label="col1">1.4</td>
                <td data-label="col2">2.4</td>
            </tr>
            <tr>
                <td data-label="col1">1.5</td>
                <td data-label="col2">2.5</td>
            </tr>
            <tr>
                <td data-label="col1">1.6</td>
                <td data-label="col2">2.5</td>
            </tr>
            <tr>
                <td data-label="col1">1.7</td>
                <td data-label="col2">2.5</td>
            </tr>
            <tr>
                <td data-label="col1">1.8</td>
                <td data-label="col2">2.5</td>
            </tr>
            </tbody>
        </table>
    </div>
</section>

<section class="p-4">
    <style>
        .fixed_header {
            width: auto;
            table-layout: fixed;
            border-collapse: collapse;
        }

        .fixed_header tbody {
            display: block;
            width: 100%;
            overflow: auto;
            scrollbar-width: thin;
            height: 100px;
        }

        .fixed_header thead tr {
            display: block;
        }

        .fixed_header thead {
            background: black;
            color: white;
            overflow: auto;
            scrollbar-width: thin;
            scrollbar-gutter: stable both-edges;
        }

        .fixed_header th,
        .fixed_header td {
            padding: 5px;
            text-align: left;
            width: 200px;
            border: 1px solid #ccc;
        }
    </style>

    <table class="fixed_header">
        <thead>
        <tr>
            <th>Col 1</th>
            <th>Col 2</th>
            <th>Col 3</th>
            <th>Col 4</th>
            <th>Col 5</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>1</td>
            <td>2</td>
            <td>3</td>
            <td>4</td>
            <td>5</td>
        </tr>
        <tr>
            <td>6</td>
            <td>7</td>
            <td>8</td>
            <td>9</td>
            <td>10</td>
        </tr>
        <tr>
            <td>11</td>
            <td>12</td>
            <td>13</td>
            <td>14</td>
            <td>15</td>
        </tr>
        <tr>
            <td>16</td>
            <td>17</td>
            <td>18</td>
            <td>19</td>
            <td>20</td>
        </tr>
        <tr>
            <td>21</td>
            <td>22</td>
            <td>23</td>
            <td>24</td>
            <td>25</td>
        </tr>
        </tbody>
    </table>

</section>

</body>
</html>
